# ``twisted`.`conch`.`checkers`.`UNIXPasswordDatabase``

class documentation

`class UNIXPasswordDatabase: (source)`

Implements interfaces: `twisted.cred.checkers.ICredentialsChecker`

View In Hierarchy

A checker which validates users out of the UNIX password databases, or databases of a compatible format.

Method | `__init__` | Undocumented
Method | `requestAvatarId` | Validate credentials and produce an avatar ID.
Class Variable | `credentialInterfaces` | A list of sub-interfaces of `ICredentials` which specifies which I may check.
Instance Variable | `_getByNameFunctions` | a `list` of functions which are called in order to valid a user. The default value is such that the `/etc/passwd` database will be tried first, followed by the `/etc/shadow` database.

def __init__(self, getByNameFunctions=None): (source)

Undocumented

def requestAvatarId(self, credentials): (source)
from `twisted.cred.checkers.ICredentialsChecker`
Validate credentials and produce an avatar ID.

Parameters
credentials | something which implements one of the interfaces in `credentialInterfaces`.
Returns
a `Deferred` which will fire with a `bytes` that identifies an avatar, an empty tuple to specify an authenticated anonymous user (provided as `twisted.cred.checkers.ANONYMOUS`) or fail with `UnauthorizedLogin`. Alternatively, return the result itself.
See Also
`twisted.cred.credentials`

credentialInterfaces = (source)
from `twisted.cred.checkers.ICredentialsChecker`
A list of sub-interfaces of `ICredentials` which specifies which I may check.
_getByNameFunctions = (source)
a `list` of functions which are called in order to valid a user. The default value is such that the `/etc/passwd` database will be tried first, followed by the `/etc/shadow` database.